spring:
  thymeleaf:
    cache: true  #是否使用缓存
  #数据源连接--start
  datasource:
    url: jdbc:mysql://10.104.50.235:3306/caimei?characterEncoding=UTF8&serverTimezone=Asia/Shanghai
    username: developer
    password: J5p";~OVazNl%y)?
    # Hikari will use the above plus the following to setup connection pooling
    type: com.zaxxer.hikari.HikariDataSource
    hikari:
      minimum-idle: 5
      maximum-pool-size: 15
      auto-commit: true
      idle-timeout: 30000
      pool-name: DatebookHikariCP
      max-lifetime: 1800000
      connection-timeout: 30000
      connection-test-query: SELECT 1
  #数据源连接--end

  redis:
    host: 10.104.50.235
    port: 6379
    #password: 6#xsI%b4o@5c3RoE
    #Redis数据库索引（默认为0）
    database: 0
    #连接池最大连接数（使用负值表示没有限制）
    jedis:
      pool:
        max-active: 50
        #连接池最大阻塞等待时间（使用负值表示没有限制）
        max-wait: 3000
        #连接池中的最大空闲连接
        max-idle: 20
        #连接池中的最小空闲连接
        min-idle: 2
    #连接超时时间（毫秒）
    timeout: 5000

#日志配置
logging:
  file:
    path: /mnt/newdatadrive/data/runtime/tomcat-instance/www/logs
  level:
    root: info


# 服务域名
caimei:
  siteEnv: 1 #网站环境，（2：正式环境，1：测试环境，0：开发环境）
  spiServer: https://spi-b.caimei365.com
  imageDomain: https://img-b.caimei365.com
  wwwDomain: https://www-b.caimei365.com

#DFS配置
fdfs:
  so-timeout: 5000 #上传的超时时间
  connect-timeout: 2000 #连接超时时间
  thumb-image:             #缩略图生成参数
    width: 150
    height: 150
  tracker-list:            #TrackerList参数,支持多个
  - 10.104.172.219:22122

http:
  multipart:
    maxFileSize: 10Mb
    maxRequestSize: 100Mb

